import { OnInit } from '@angular/core';
import { Color } from '@mintplayer/ng-bootstrap';
import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BsSpinnerComponent implements OnInit {
    constructor();
    spinnerClass$: Observable<string>;
    colorClass$: Observable<string>;
    colors: typeof Color;
    ngOnInit(): void;
    type$: BehaviorSubject<"border" | "grow">;
    get type(): 'border' | 'grow';
    set type(value: 'border' | 'grow');
    color$: BehaviorSubject<Color>;
    get color(): Color;
    set color(value: Color);
    static ɵfac: i0.ɵɵFactoryDeclaration<BsSpinnerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BsSpinnerComponent, "bs-spinner", never, { "type": "type"; "color": "color"; }, {}, never, never, false, never>;
}
